Subject: Re: [PATCH v2 02/16] dt-bindings: i2c: imx: update schema to align with original txt binding

From: Rob Herring <[email-masked]>
Date: Fri, 8 Oct 2021 17:20:01 -0500

On Fri, Oct 01, 2021 at 12:37:54PM -0500, Li Yang wrote:
> On Fri, Oct 1, 2021 at 8:24 AM Rob Herring <[email-masked]> wrote:
> >
> > On Thu, Sep 30, 2021 at 7:04 PM Li Yang <[email-masked]> wrote:
> > >
> > > When the binding was converted from txt to yaml, it actually added more
> > > constrains than the original txt binding which was already used in many
> > > in-tree DTSes.  Some of the newly added constrains are either not valid
> > > or not neccessary.
> >
> > IMO, both of these should be fixed in the dts files.
> >
> > > Not all SoCs use ipg as the clock name for i2c.  There is no point in
> > > having SoC integration information defined in i2c binding.  Remove the
> > > clock name requirement in the schema.
> >
> > Any name you want is not fine. Your choices are remove clock-names,
> > add all the names used, or change everyone to use 'ipg'.
> 
> I understand that the name should be important as clocks are
> referenced by name.  But since the i2c controller only has one clock ,
> the name is never referenced in the driver.

Then just remove 'clock-names' from the dts file.

> If we really want to define the name, IMO, it should be from the
> perspective of the i2c controller like "clkin" or "i2c" instead of the
> "ipg" from the perspective of SoC integration which could be changing
> with a different integration.  I can list both "i2c" and "ipg" for now
> as a workaround though.

$modulename for $foo-names always looks made up and pointless to me.

> 
> >
> > > The original txt binding didn't require the order of tx and rx for
> > > dmas/dma-names.  Many in tree DTSes are already using the other order.
> > > Both orders should just work fine.  Update the schema to allow both.
> >
> > Doesn't sound like a case where defining the order is challenging.
> 
> No, it is not challenging.  But as dma channel is only referenced by
> name instead of index.  I don't see too much benefit in enforcing the
> order other than easier to create the schema.

Easier is nice, and that's the 'DT way' is the other reason.

Rob

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel